.image-modal {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.9);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 9999;
    cursor: pointer;
}

.modal-content {
    position: relative;
    width: 960px;
    max-width: 90%;
    max-height: 90%;
}

.modal-content img {
    width: 100%;
    height: 100%;
    object-fit: contain;
}

.close-modal {
    position: absolute;
    top: -40px;
    right: 0;
    color: white;
    font-size: 40px;
    font-weight: bold;
    cursor: pointer;
    z-index: 10000;
}

.close-modal:hover {
    color: #ccc;
}
.kit-block {
display: none;
}

.item-prod {
    border: #eaeaea solid 1px;
    margin-bottom: 5px;
    padding: 15px;
    display: flex;
    flex-wrap: wrap;
}
.main-photo {
    flex: 0 0 210px;
}
.main-photo img {
    max-width: 200px;
    border-radius: 4px;
}
.name_sku_block {
    flex: 0 0 310px;
}

.descript {
    height: 110px;
    overflow: hidden;
    flex: 1 0 300px;
}
div.div-kit-blocks {
    background: linear-gradient(45deg, #3c4328, #616c41);
    display: flex;
    padding: 0px 15px;
    color: #fff;
    border-radius: 5px;
    margin-bottom: 5px;
    justify-content: space-between;
}
h2.name-kit-blocks {
    cursor: pointer;
    font-size: 24px;
    line-height: 42px;
    font-weight: 400;
    text-transform: uppercase;
    display: flex;
    align-items: center;
    gap: 10px;
}
h2.name-kit-blocks::after {
    content: "";
    width: 30px;
    display: inline-block;
    background-repeat: no-repeat;
    height: 30px;
    background-position: center;
    background-image: url(/images/left_open.svg);
    background-size: 20px;
    /* background-color: #616c41;*/
    border-radius: 5px;
    transform: rotate(0deg);
    transition: transform 0.3s;
}

h2.name-kit-blocks.active::after {
    transform: rotate(-90deg);
}
.count-block {
    display: flex;
    flex-wrap: wrap;
    gap: 5px;
    text-transform: uppercase;
    align-items: center;
}
.kit-block {
    position: absolute;
    /*bottom: 0;
    left: 0;*/
    width: 0%;
    border-radius: 10px;
    display: none;
    justify-content: space-between;
    color: #000000;
    opacity: 0;
    transform: translateX(100%);
    /*transition: height, opacity 0.1s ease, transform 0.3s ease;*/
    pointer-events: none;
    flex-wrap: wrap;
}
.kit-block.active {
    opacity: 1;
    height: 100%;
    width: 100%;
    transform: translateX(0);
    pointer-events: auto;
    position: relative;
    display: flex;
}
.row-flex-rp {
    display: flex;
    overflow-x: auto;
}
.catalog_item_wrap.rpoint-kit {
    height: 100%;
}

.kit-sku-block {

}
.row-flex-rp .product_item_big_card {
    border: #e4e4e4 solid 1px;
    border-radius: 10px;
    margin: 5px;
    flex: 0 0 260px;
}
.super-block h4 {
    margin: 1px;

}
.rp-flex-btns {
    display: flex;
}
.rp-flex-btns .btsquant-rp
{
    flex: 0 0 100px;
}
.rpoint-kit .product_item {
    display: flex;
    gap: 5px;
    flex-direction: column;
    align-items: center;
   /* height: 320px;*/
   /* border: #e4e4e4 solid 1px;
    border-radius: 15px;*/
    padding: 10px;
}
.rpoint-kit .product_item_image_wrapper {
    flex: 0 0 210px;
    width: 200px;
}
.rpoint-kit .product_item_image_wrapper img{
    max-width: 100%;
    width: fit-content;
    height: auto;
    background-repeat: no-repeat;
    border-radius: 10px;
}
.rpoint-kit .super-block {
   /* flex: 0 0 300px;*/
}
.rpoint-kit .full-description {
    overflow: auto;
}
.rpoint-kit .btn_green_car {
    width: 200px;
    border-radius: 6px;
    padding: 12px;
    text-transform: none;
    margin: 0 auto;
    gap: 5px;
}
.rpoint-kit .btn_red_car, .btn-primary-rp.btn_red_car {
    background: -moz-linear-gradient(left, #d82222 0%, #711010 100%);
    background: -webkit-linear-gradient(left, #d82222 0%, #711010 100%);
    background: linear-gradient(to right, #d82222 0%, #711010 100%);
    width: 120px;
}
.btsquant-rp.hidden-quant {
    display: none;
}
#btns-block-rp-kit .btn-primary-rp {
    margin: 3px auto;
    width: 100%;
    justify-content: center;
}
#btns-block-rp-kit {
    justify-content: center;
    flex-wrap: wrap;
    flex-direction: column;
    margin: 5px;
    padding: 5px;
}
.btn-primary-rp.btn_red_car {
    background: -moz-linear-gradient(left, #d82222 0%, #711010 100%)!important;
    background: -webkit-linear-gradient(left, #d82222 0%, #711010 100%)!important;
    background: linear-gradient(to right, #d82222 0%, #711010 100%)!important;
}
.kit-product-name {
    font-weight: 600;
    color: #3f4621;
}
.kit-product-summ {

}
.kit-product-weight {

}
.kit-product-quant {

}
#kitSumm {
    padding: 3px 10px;
    font-size: 18px;
}
#kitWeight{
    padding: 3px 10px;
    font-size: 16px;
}
#kitCount {
    padding: 3px 10px;
    font-size: 16px;
}
.kit-products-list {
    display: flex;
    flex-wrap: wrap;
    /*flex-direction: column;*/
}
.kit-product-item {
    display: flex;
    flex: 0 0 calc(50% - 15px);
    margin: 5px;
    flex-wrap: wrap;
    align-items: center;
    /*border-bottom: #e6e6e6 solid 1px;*/
}
.kit-product-image {
    flex: 0 0 60px;
}
.kit-product-image img{
    width: 40px;
    max-width: 100%;
    border-radius: 10px;
}
.kit-product-info {
    flex: 1;
    display: flex;
    gap: 4px;
    flex-wrap: wrap;
    font-size: 14px;
    line-height: 18px;
    flex-direction: column;
}
.kit-product-dop-info {
    display: flex;
    flex-wrap: wrap;
    gap: 5px;
}
.kit-remove-btn {
    border: none;
    background: no-repeat;
    color: #af0b0b;
}
#kit-print {
    display: flex;
    flex-wrap: wrap;
    flex: 1;
}
.kit-group {
    margin: 5px;
    border: #dcdcdc solid;
    border-width: 1px 1px;
    padding: 0 10px;
    /*width: 700px;*/
    flex: 0 0 calc(100% - 20px);
    max-width: 100%;
    /*border-radius: 8px;*/
}
.kit-group-title {
    margin-bottom: 15px;
    display: none;
}
.top-button-block {
    display: flex;

    gap: 15px;
    margin: 10px;
}
.btn-open {

}
.top-button-block span {
    border-bottom: #bbbbbb dashed;
    cursor: pointer;
    display: flex;
    gap: 5px;
    flex-wrap: nowrap;
    align-items: center;
    font-size: 14px;
    color: #555;
}
.btn-close {

}
ul.product_item_scu_list {
    justify-content: center;
}
#block1 .kit-sku-block {
    min-height: 130px;
}
#block2 .kit-sku-block {
    min-height: 80px;
}
#block3 .kit-sku-block {
    min-height: 80px;
}
#block4 .kit-sku-block {

}
#block5 .kit-sku-block {

}
#block6 .kit-sku-block {
    min-height: 90px;
}
#block7 .kit-sku-block {
    min-height: 130px;
}
#block8 .kit-sku-block {
    min-height: 50px;
}
#block9 .kit-sku-block {
    min-height: 50px;
}
#block10 .kit-sku-block {
    min-height: 80px;
}
#block11 .kit-sku-block {
    min-height: 50px;
}
#block12 .kit-sku-block {
    min-height: 50px;
}

.smart-kit-description {
    padding: 20px;
    margin: 10px;
    background: #f2f2f2;
    border-radius: 8px;
    position: relative;
    /*border-left: #5d683f solid 4px;*/
}
.smart-kit-description svg {
    font-size: 35px;
    width: 40px;
    height: 40px;
    color: #565f39;
    position: absolute;
    left: 10px;
}
.full-kit-print {
    display: flex;
    align-items: flex-start;
    flex-wrap: wrap;
    justify-content: center;
    gap: 5px;
}

@media (min-width: 1500px) {
    #content .container-fixed {
        max-width: 1440px;
    }
}
@media (max-width: 980px) {
    .kit-group {
        width: 100%;
        flex: 0 0 calc(100% - 20px);
    }
}
@media (min-width: 767px) and (max-width: 1000px) {
    .kit-product-item {
        flex: 0 0 calc(100% - 15px);
    }
}
@media (min-width: 767px) and (max-width: 1170px) {
    #btns-block-rp-kit {
        width: 230px;
    }
    .btn-primary-rp {
        font-size: 14px;
    }

}

@media (max-width: 767px) {
    #kit-print {
        flex: 0 0 100%;
    }
    .kit-group {
        width: 100%;
        flex: 0 0 calc(100% - 20px);
    }
    .smart-kit {

    }
    .kit-blocks {

    }
    div.div-kit-blocks {
        padding: 8px 15px;
        font-size: 20px;
        font-weight: 500;
        margin: 5px 15px;
    }
    h2.name-kit-blocks {
        font-size: 16px;
        font-weight: 500;
    }
    h2.name-kit-blocks::after {
       /* margin-bottom: -4px;*/
    }
    .row-flex-rp {
        display: flex;
        overflow: auto;
    }
    .row-flex-rp .product_item_big_card {
        flex: 0 0 280px;
    }
    .rpoint-kit .product_item_image_wrapper {
    flex: 0 0 160px;
    width: 160px;
    }
    .kit-product-info {
        gap: 0px;
        font-size: 12px;
        line-height: 16px;
    }
    .kit-product-image img {
        width: 30px;
    }
    .kit-product-image {
        flex: 0 0 40px;
    }
    .rpoint-kit .product_item {
        gap: 5px;
        height: auto;
        align-items: center;
    }
    .kit-product-item {
        flex: 0 0 calc(100% - 15px);
        position: relative;
    }
    .kit-remove-btn {
        position: absolute;
        right: -10px;

    }
    .rpoint-kit .super-block {
        flex: 1;
    }
    .rpoint-kit .full-description {
        /*display: none;
        overflow: auto;
        height: 100px;*/
    }
    .count-block {
        font-size: 12px;
        flex-direction: column;
        line-height: 12px;
        justify-content: center;
    }
    .block-total-quant, .block-total-sum {

    }
    .block-total-quant span, .block-total-sum span{
display: none;
    }

}
@media (max-width: 375px) {
    h2.name-kit-blocks {
        font-size: 12px;
        gap: 5px;
    }
    h2.name-kit-blocks::after {
        width: 15px;
        height: 15px;
        background-size: 13px;
    }
}
@media (max-width: 360px) {
    .row-flex-rp .product_item_big_card {
        flex: 0 0 260px;
        height: 100%;
        margin: 0 3px;
    }
}